/* Form Components Here */

html {
	overflow-x: hidden;
	scroll-behavior: auto;
}

#smooth-wrapper {
	overflow: hidden;
}

#smooth-content {
	will-change: transform;
}

p {
	font-family: var(--text-regular);
	font-size: 16px;
}

body {
	overflow-x: hidden;
	font-family: var(--secondary-regular-font);
	scroll-behavior: auto;
}

.form-control-1::placeholder {
	color: #636363;
}

.form-label {
	font-size: 14px;
	font-family: var(--text-regular);
	color: #988a81;
	margin-bottom: 2px;
}

.form-group {
	margin-bottom: 10px;
	position: relative;
}

.form-control {
	background-color: #322d2a;
	border: 1px solid #3d3734;
	padding: 12px 16px;
	font-size: 13px;
	font-family: var(--text-regular);
	color: #988a81;
	font-weight: 400;
	resize: none;
	border-radius: 5px;
}

.form-control:focus {
	border-color: #5b3a1e;
	box-shadow: 0 0 0 0.15rem #5b3a1e;
}

.form-control::placeholder {
	color: #8e8e8e;
}

.dark-mode .form-control {
	background-color: transparent;
}

.input-inline-btn {
	position: absolute;
	right: 8px;
	bottom: 14px;
	background-color: transparent;
	border: 0px;
	border-left: 1px solid #00000063;
	padding-left: 10px;
}

.input-inline-btn i {
	font-size: 19px;
}

.btn {
	background-color: var(--secondary-color);
	border-radius: 4px;
	font-size: 15px;
	color: #fff;
	border: 1px solid transparent;
	text-align: center;
	font-family: var(--heading-medium);
	font-weight: 500;
	padding: 10px 30px;
	transition: 0.6s all;
}

.btn:hover {
	background: transparent;
	color: var(--secondary-color);
	border-color: var(--secondary-color);
}

/* Site loader Css   */
/* loader Css  */
.loader-wrap {
	height: 100vh;
	width: 100vw;
	position: fixed;
	left: 0px;
	top: 0px;
	background-color: #fff;
	z-index: 99999;
}

.loader {
	animation: spin 1.5s linear alternate infinite;
	background: #ebddc3;
	border-radius: 50%;
	height: 120px;
	width: 120px;
	display: flex;
	align-items: center;
	justify-content: center;
	z-index: 9999;
}

.loader:before {
	background: #ebddc3;
	border-radius: 50%;
	content: "";
	display: block;
	height: 0.5em;
	width: 0.5em;
	z-index: 2;
}

.loader:after {
	background: #211f1b;
	border-radius: 50%;
	box-shadow:
		0em -2.6em #211f1b,
		2.25em -4.02em #211f1b,
		2.25em -1.25em #211f1b,
		4.6em 0em #211f1b,
		2.25em 1.25em #211f1b,
		2.25em 4.02em #211f1b,
		0em 2.6em #211f1b,
		-2.25em 4.02em #211f1b,
		-2.25em 1.25em #211f1b,
		-4.6em 0em #211f1b,
		-2.25em -1.25em #211f1b,
		-2.25em -4.02em #211f1b;
	content: "";
	display: block;
	height: 2em;
	width: 2em;
}

.inner {
	animation: load 1.5s linear alternate infinite;
	border: solid 1px #ebddc3;
	border-radius: 50%;
	height: 1.75em;
	width: 1.75em;
	z-index: 1;
}

.loader,
.loader:before,
.loader:after,
.inner {
	bottom: 0;
	left: 0;
	margin: auto;
	position: absolute;
	right: 0;
	top: 0;
}

@keyframes load {
	0% {
		box-shadow:
			0em -2.6em #211f1b,
			2.25em -1.25em #211f1b,
			2.25em 1.25em #211f1b,
			0em 2.6em #211f1b,
			-2.25em 1.25em #211f1b,
			-2.25em -1.25em #211f1b;
	}

	15% {
		box-shadow:
			0em -2.6em #211f1b,
			2.25em -1.25em #211f1b,
			2.25em 1.25em #211f1b,
			0em 2.6em #211f1b,
			-2.25em 1.25em #211f1b,
			-2.25em -1.25em #ebddc3;
	}

	30% {
		box-shadow:
			0em -2.6em #211f1b,
			2.25em -1.25em #211f1b,
			2.25em 1.25em #211f1b,
			0em 2.6em #211f1b,
			-2.25em 1.25em #ebddc3,
			-2.25em -1.25em #ebddc3;
	}

	45% {
		box-shadow:
			0em -2.6em #211f1b,
			2.25em -1.25em #211f1b,
			2.25em 1.25em #211f1b,
			0em 2.6em #ebddc3,
			-2.25em 1.25em #ebddc3,
			-2.25em -1.25em #ebddc3;
	}

	60% {
		box-shadow:
			0em -2.6em #211f1b,
			2.25em -1.25em #211f1b,
			2.25em 1.25em #ebddc3,
			0em 2.6em #ebddc3,
			-2.25em 1.25em #ebddc3,
			-2.25em -1.25em #ebddc3;
	}

	75% {
		box-shadow:
			0em -2.6em #211f1b,
			2.25em -1.25em #ebddc3,
			2.25em 1.25em #ebddc3,
			0em 2.6em #ebddc3,
			-2.25em 1.25em #ebddc3,
			-2.25em -1.25em #ebddc3;
	}

	90% {
		box-shadow:
			0em -2.6em #ebddc3,
			2.25em -1.25em #ebddc3,
			2.25em 1.25em #ebddc3,
			0em 2.6em #ebddc3,
			-2.25em 1.25em #ebddc3,
			-2.25em -1.25em #ebddc3;
	}

	100% {
		box-shadow:
			0em -2.6em #ebddc3,
			2.25em -1.25em #ebddc3,
			2.25em 1.25em #ebddc3,
			0em 2.6em #ebddc3,
			-2.25em 1.25em #ebddc3,
			-2.25em -1.25em #ebddc3;
	}
}

@keyframes spin {
	0% {
		transform: rotate(0deg);
	}

	15% {
		transform: rotate(60deg);
	}

	30% {
		transform: rotate(120deg);
	}

	45% {
		transform: rotate(180deg);
	}

	60% {
		transform: rotate(240deg);
	}

	75% {
		transform: rotate(300deg);
	}

	90% {
		transform: rotate(360deg);
	}

	100% {
		transform: rotate(0deg);
	}
}

/*Site loader Css  */

/* Neccesary Css Here */
* {
	transition: 0.2s all;
}

.dark-mode .light-image {
	filter: brightness(0) invert(1);
}

.border-rounded {
	border-radius: 60px;
}

.radius-100 {
	border-radius: 50% !important;
}

.border-7 {
	border-radius: 7px;
}

.radius-12 {
	border-radius: 12px;
}

.icon-border {
	border: 1px solid var(--nav-color);
	border-radius: 2px;
}

.border-down {
	border-bottom: 1px solid #a7a9aa;
}

.border-roundness-0 {
	border-radius: 0px;
}

.border-top-radius {
	border-radius: 7px 7px 0px 0px;
}

.border-bottom-radius {
	border-radius: 0px 0px 7px 7px;
}

.cursor-pointer {
	cursor: pointer;
}

.right-0 {
	right: 0px;
}

.left-0 {
	left: 0px;
}

.space-nowrap {
	white-space: nowrap;
}

.writting-mode-lr {
	writing-mode: vertical-lr;
	rotate: 180deg;
}

figure {
	margin-bottom: 0px;
}

.secondary-border {
	border: 1px solid var(--secondary-color);
}

.box-shadow-1 {
	box-shadow: rgba(0, 0, 0, 0.08) 0px 4px 12px;
}

.w-fit {
	width: fit-content;
}

.column-count-2 {
	column-count: 2;
}

.border-line {
	background-color: #d4cbb5;
	width: 1px;
	height: 10px;
	display: inline-block;
}

.z-index-1 {
	z-index: 1;
}

.letter-spacing-1 {
	letter-spacing: 1px;
}

.letter-spacing-2 {
	letter-spacing: 2px;
}

.dark-color-hover:hover {
	color: var(--dark-color);
}

a:hover {
	color: var(--nav-color);
}

.dark-hover:hover {
	color: var(--secondary-color);
}

.light-hover:hover {
	color: var(--nav-color);
}

.line-clamp-1,
.line-clamp-2,
.line-clamp-3,
.line-clamp-4,
.line-clamp-5 {
	display: -webkit-box;
	-webkit-box-orient: vertical;
	overflow: hidden;
}

.line-clamp-1 {
	-webkit-line-clamp: 1;
}

.line-clamp-2 {
	-webkit-line-clamp: 2;
}

.line-clamp-3 {
	-webkit-line-clamp: 3;
}

.line-clamp-4 {
	-webkit-line-clamp: 4;
}

.line-clamp-5 {
	-webkit-line-clamp: 5;
}

.object-cover {
	object-fit: cover;
}

.section {
	padding: 60px 0px 68px;
}

.number-input::-webkit-outer-spin-button,
.number-input::-webkit-inner-spin-button {
	-webkit-appearance: none;
	margin: 0;
}

/* Firefox */
.number-input[type="number"] {
	-moz-appearance: textfield;
}

/* Neccesary Css Here */

.font-unset {
	font-size: unset;
}

.line-height-normal {
	line-height: normal;
}

/* opacity Css  */

.opacity-03 {
	opacity: 0.3;
}

.opacity-60 {
	opacity: 0.6;
}

.opacity-80 {
	opacity: 0.8;
}

/* Global Scrollbar Style */
::-webkit-scrollbar {
	width: 6px;
	height: 6px;
}

::-webkit-scrollbar-track {
	background: #f5f5f5;
	border-radius: 10px;
}

::-webkit-scrollbar-thumb {
	background: #ca552b;
	border-radius: 10px;
	transition: 0.3s;
}

::-webkit-scrollbar-thumb:hover {
	background: #ca552b;
}

/* Firefox Scrollbar */
* {
	scrollbar-width: thin;
	scrollbar-color: #ca552b #f5f5f5;
}

/* ========================= */
/* Checkout Scroll Section   */
/* ========================= */

.checkout-scroll {
	overflow-y: auto;
	padding: 0px 10px;
	height: 400px;
	scroll-behavior: smooth;
}

.checkout-scroll::-webkit-scrollbar {
	width: 5px;
}

.checkout-scroll::-webkit-scrollbar-track {
	background: #f5f5f5;
}

.checkout-scroll::-webkit-scrollbar-thumb {
	background-color: var(--reviews-color);
	border-radius: 10px;
}

/* slider buttons Css   */
.slider-sec .slick-prev,
.slick-next {
	width: 40px;
	height: 40px;
	border-radius: 2px;
	color: var(--secondary-color);
	border: 1px solid var(--secondary-color);
}

.slider-sec .slick-prev:before {
	content: "\f104";
	font-family: "FontAwesome";
	opacity: 1 !important;
	color: var(--secondary-color);
	font-size: 32px;
}

.slider-sec .slick-next:before {
	content: "\f105";
	font-family: "FontAwesome";
	opacity: 1 !important;
	color: var(--secondary-color);
	font-size: 32px;
}

.slider-sec .slick-prev {
	left: 10px;
}

.slider-sec .slick-next {
	right: 10px;
}

.slider-sec .slick-dots {
	display: flex;
	justify-content: center;
	align-items: center;
	list-style: none;
	cursor: pointer;
	bottom: -50px;
	left: 0;
}

.slider-sec .slick-dots li {
	background: #dacdb2;
	height: 10px;
	width: 10px;
	margin: 0 6px;
	border-radius: 50%;
	transition: 0.4s ease;
}

.slider-sec .slick-dots li.slick-active {
	background: var(--secondary-color);
}

.slider-sec .slick-dots button {
	display: none;
}

/* slider buttons Css   */

/* review star Css  */

.rate:not(:checked) > label {
	width: 20px;
	overflow: hidden;
	cursor: pointer;
	color: var(--reviews-color);
}

.rate > input:checked ~ label {
	color: var(--secondary-color);
}

.rate:not(:checked) > label:hover,
.rate:not(:checked) > label:hover ~ label {
	color: var(--secondary-color);
}

.rate > input:checked + label:hover,
.rate > input:checked + label:hover ~ label,
.rate > input:checked ~ label:hover,
.rate > input:checked ~ label:hover ~ label,
.rate > label:hover ~ input:checked ~ label {
	color: var(--secondary-color);
}

/* review star Css  */

/* Responsive Here  */

@media (max-width: 1400px) {
	p {
		font-size: 14px;
	}
	.btn {
		font-size: 14px;
		padding: 10px 25px;
	}
}
